<?php
include_once ('./core/base.php');
falseauth();

$header = 'Гостиница';

include_once ('./core/head.php');

if($uloc['hotel'] > 0){

//Фильтруем данные
$_GET['stop'] = fl($_GET['stop']);

if($uloc['hotel'] == 1) $hotel_cost = 50;
elseif($uloc['hotel'] == 2) $hotel_cost = 250;
elseif($uloc['hotel'] == 3) $hotel_cost = 500;
elseif($uloc['hotel'] == 4) $hotel_cost = 750;

if($_GET['stop'] == 'yes'){
	if($u['hotel'] != $uloc['hotel']){
		if($u['gold'] < $hotel_cost){
			$_SESSION['message'] = 'Недостаточно золота';
			header('Location: /city/hotel/');
			exit;
		}
		$base -> query('UPDATE `users` SET `hotel` = "'.$uloc['hotel'].'",
			`respawn_world` = "'.$uloc['world'].'",
			`respawn_x` = "'.$uloc['x'].'",
			`respawn_y` = "'.$uloc['y'].'",
			`gold` = `gold` - "'.$hotel_cost.'"
			WHERE `id` = "'.$u['id'].'"');
		$_SESSION['message'] = 'Вы остановились в этой гостинице.';
		header('Location: /city/hotel/');
		exit;
	}else{
		$_SESSION['message'] = 'Вы уже остановились в этой гостинице.';
		header('Location: /city/hotel/');
		exit;
	}
}

echo '<div class="b">';

echo '<div class="title">Гостиница</div>';

echo '<center><div class="border"><img style="width: 100%; max-width: 336px;" src="/images/places/hotel.png"></div></center>';

echo '<table class="event_info"><tr><td><img src="/images/icons/info.png"></td><td> - Если вы остановитесь в этой гостинице, то после поражений, будете появляться здесь.</td></tr></table>';

echo '<center>';
if($u['hotel'] != $uloc['hotel']) echo '<a class="btn_small" href="/city/hotel/stop/"> Остановится <img src="/images/icons/gold.png"><font color="gold">'.$hotel_cost.'</font></a>';
else echo '<div class="btn_small_pressed"> Вы остановились здесь</div>';
echo '</center>';

echo '<br/><a class="btn" href="/city/"><img src="/images/icons/back.png"> Назад</a>';

echo '</div>';

}else{
header('Location: /location/');
exit;
}


include_once ('./core/foot.php');
?>